
version: '3.6'

services:

  broker-hub:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-broker-hub:25.12.5
    ports:
      - 31113:31113
    environment:
      ARMS_BASE_ADDR: https://www.a-rms.net
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/broker-hub:/mnt    
    deploy:
      mode: replicated
      replicas: 1      
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.10.186:24224
        fluentd-retry-wait: "60s"
        fluentd-max-retries: "30"
        tag: brokerhub

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
